package com.bonus.core.customer.openapi.dto;

import com.bonus.core.common.encrypt.LeNiuDecryptDataProcess;
import com.bonus.core.common.encrypt.LeNiuDecryptField;
import com.bonus.core.common.utils.SysUtil;
import io.swagger.annotations.ApiModelProperty;

@LeNiuDecryptDataProcess
public class CustCasualDTO {
   @ApiModelProperty("临时人员id")
   private Long casualId;
   @ApiModelProperty("临时人员名称")
   private String casualName;
   @ApiModelProperty("人员id")
   private Long custId;
   @ApiModelProperty("邮箱")
   private String email;
   @ApiModelProperty("地址")
   private String address;
   @ApiModelProperty("openid")
   private String openid;
   @ApiModelProperty("来源类型 1-钉钉 2-微信 3-小程序")
   private Integer sourceType;
   @ApiModelProperty("人员编号")
   private String custNum;
   @ApiModelProperty("人员姓名")
   @LeNiuDecryptField
   private String custName;
   @ApiModelProperty("人员限制id")
   private Integer custLimitId;
   @ApiModelProperty("手机号")
   private String mobile;
   @ApiModelProperty("身份证号")
   private String idCard;
   @ApiModelProperty("所属组织id")
   private Long orgId;
   @ApiModelProperty("机构编号")
   private String orgNum;
   @ApiModelProperty("机构全称")
   private String orgFullName;
   @ApiModelProperty("人脸照片地址")
   private String custPhotoUrl;
   @ApiModelProperty("支付宝签约号")
   private String alipayContractNum;
   @ApiModelProperty("人员类别")
   private Integer psnType;
   @ApiModelProperty("支付宝-企业码-员工id")
   private String entCodeEmpId;
   @ApiModelProperty("IOT开通刷脸支持唯一操作流水号")
   private String uniqueId;

   public void setCustPhotoUrl(String custPhotoUrl) {
      this.custPhotoUrl = SysUtil.getCutPath(custPhotoUrl);
   }

   public Long getCasualId() {
      return this.casualId;
   }

   public String getCasualName() {
      return this.casualName;
   }

   public Long getCustId() {
      return this.custId;
   }

   public String getEmail() {
      return this.email;
   }

   public String getAddress() {
      return this.address;
   }

   public String getOpenid() {
      return this.openid;
   }

   public Integer getSourceType() {
      return this.sourceType;
   }

   public String getCustNum() {
      return this.custNum;
   }

   public String getCustName() {
      return this.custName;
   }

   public Integer getCustLimitId() {
      return this.custLimitId;
   }

   public String getMobile() {
      return this.mobile;
   }

   public String getIdCard() {
      return this.idCard;
   }

   public Long getOrgId() {
      return this.orgId;
   }

   public String getOrgNum() {
      return this.orgNum;
   }

   public String getOrgFullName() {
      return this.orgFullName;
   }

   public String getCustPhotoUrl() {
      return this.custPhotoUrl;
   }

   public String getAlipayContractNum() {
      return this.alipayContractNum;
   }

   public Integer getPsnType() {
      return this.psnType;
   }

   public String getEntCodeEmpId() {
      return this.entCodeEmpId;
   }

   public String getUniqueId() {
      return this.uniqueId;
   }

   public void setCasualId(final Long casualId) {
      this.casualId = casualId;
   }

   public void setCasualName(final String casualName) {
      this.casualName = casualName;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setEmail(final String email) {
      this.email = email;
   }

   public void setAddress(final String address) {
      this.address = address;
   }

   public void setOpenid(final String openid) {
      this.openid = openid;
   }

   public void setSourceType(final Integer sourceType) {
      this.sourceType = sourceType;
   }

   public void setCustNum(final String custNum) {
      this.custNum = custNum;
   }

   public void setCustName(final String custName) {
      this.custName = custName;
   }

   public void setCustLimitId(final Integer custLimitId) {
      this.custLimitId = custLimitId;
   }

   public void setMobile(final String mobile) {
      this.mobile = mobile;
   }

   public void setIdCard(final String idCard) {
      this.idCard = idCard;
   }

   public void setOrgId(final Long orgId) {
      this.orgId = orgId;
   }

   public void setOrgNum(final String orgNum) {
      this.orgNum = orgNum;
   }

   public void setOrgFullName(final String orgFullName) {
      this.orgFullName = orgFullName;
   }

   public void setAlipayContractNum(final String alipayContractNum) {
      this.alipayContractNum = alipayContractNum;
   }

   public void setPsnType(final Integer psnType) {
      this.psnType = psnType;
   }

   public void setEntCodeEmpId(final String entCodeEmpId) {
      this.entCodeEmpId = entCodeEmpId;
   }

   public void setUniqueId(final String uniqueId) {
      this.uniqueId = uniqueId;
   }




}
